codelite 6.0 cannot be built by cmake 3

Discussion about CodeLite development process and patches
buffalo
CodeLite Enthusiast
Posts: 11
Joined: Sat Jul 19, 2014 11:46 am
Genuine User: Yes
IDE Question: c++
Contact:

codelite 6.0 cannot be built by cmake 3

Post by buffalo » Sat Jul 19, 2014 11:54 am

Just want to mention this.
codelite 6.0 cannot be built by cmake 3.0.
In cmake 3.0, it always prompts segmentation fault: 11
However, cmake 2.8.12 is fine.
My platform is OSX 10.9.4.

User avatar
eranif
CodeLite Plugin
Posts: 5997
Joined: Wed Feb 06, 2008 9:29 pm
Genuine User: Yes
IDE Question: C++
Contact:

Re: codelite 6.0 cannot be built by cmake 3

Post by eranif » Sat Jul 19, 2014 12:25 pm

How do you run cmake?

Eran
Make sure you have read the HOW TO POST thread

buffalo
CodeLite Enthusiast
Posts: 11
Joined: Sat Jul 19, 2014 11:46 am
Genuine User: Yes
IDE Question: c++
Contact:

Re: codelite 6.0 cannot be built by cmake 3

Post by buffalo » Sat Jul 19, 2014 6:09 pm

I download the source code "codelite-6.0.1.tar.gz" from the link "Download CodeLite 6.0 tar.gz from GitHub" in Download page.

Then, I follow the instructions in WiKi.
http://codelite.org/Developers/BuildingCodeLiteOnAMac

Step 2: Build CodeLite
...
mkdir build-release
cd build-release
cmake .. -DCMAKE_BUILD_TYPE=Release
make -j4

User avatar
eranif
CodeLite Plugin
Posts: 5997
Joined: Wed Feb 06, 2008 9:29 pm
Genuine User: Yes
IDE Question: C++
Contact:

Re: codelite 6.0 cannot be built by cmake 3

Post by eranif » Sat Jul 19, 2014 6:13 pm

Can you specify a generator like this:

Code: Select all

cmake .. -G "Unix Makefiles" -DCMAKE_BUILD_TYPE=Release
If it fails, try with Ninja:

Code: Select all

cmake .. -G "Ninja" -DCMAKE_BUILD_TYPE=Release
ninja
I wonder if its a specific generator bug or a general cmake bug
Eran
Make sure you have read the HOW TO POST thread

buffalo
CodeLite Enthusiast
Posts: 11
Joined: Sat Jul 19, 2014 11:46 am
Genuine User: Yes
IDE Question: c++
Contact:

Re: codelite 6.0 cannot be built by cmake 3

Post by buffalo » Sat Jul 19, 2014 6:39 pm

I try to use cmake3 GUI version to build.
Cmake3 cannot configure in "Ninja" mode. It prompts a error message box "Error in configuration process, project files may be invalid"

Code: Select all

CMake Error: CMake was unable to find a build program corresponding to "Ninja".  CMAKE_MAKE_PROGRAM is not set.  You probably need to select a different build tool.
CMake Error: Error required internal CMake variable not set, cmake may be not be built correctly.
Missing variable is:
CMAKE_C_COMPILER_ENV_VAR
CMake Error: Error required internal CMake variable not set, cmake may be not be built correctly.
Missing variable is:
CMAKE_C_COMPILER
CMake Error: Could not find cmake module file: /Users/CCLee/tmp/codelite-6.0.1/build_osx/CMakeFiles/3.0.0/CMakeCCompiler.cmake
CMake Error: Error required internal CMake variable not set, cmake may be not be built correctly.
Missing variable is:
CMAKE_CXX_COMPILER_ENV_VAR
CMake Error: Error required internal CMake variable not set, cmake may be not be built correctly.
Missing variable is:
CMAKE_CXX_COMPILER
CMake Error: Could not find cmake module file: /Users/CCLee/tmp/codelite-6.0.1/build_osx/CMakeFiles/3.0.0/CMakeCXXCompiler.cmake
CMake Error at CMakeLists.txt:36 (project):
  No CMAKE_C_COMPILER could be found.

  Tell CMake where to find the compiler by setting the CMake cache entry
  CMAKE_C_COMPILER to the full path to the compiler, or to the compiler name
  if it is in the PATH.


CMake Error at CMakeLists.txt:36 (project):
  No CMAKE_CXX_COMPILER could be found.

  Tell CMake where to find the compiler by setting the CMake cache entry
  CMAKE_CXX_COMPILER to the full path to the compiler, or to the compiler
  name if it is in the PATH.

Configuring incomplete, errors occurred!
In "Unix makefiles" mode, cmake3 can configure, but failed in "generate"

Code: Select all

Process:         CMake [13690]
Path:            /Users/USER/Downloads/*/CMake.app/Contents/MacOS/CMake
Identifier:      ???
Version:         3.0.0 (???)
Code Type:       X86-64 (Native)
Parent Process:  launchd [625]
Responsible:     CMake [13690]
User ID:         501

Date/Time:       2014-07-19 22:37:38.403 +0800
OS Version:      Mac OS X 10.9.4 (13E28)
Report Version:  11
Anonymous UUID:  97743BB7-E28E-187C-6DE4-8765A18D6472

Sleep/Wake UUID: 0B2BCD4C-DA05-4811-907A-D33EE509DBD9

Crashed Thread:  2

Exception Type:  EXC_CRASH (SIGABRT)
Exception Codes: 0x0000000000000000, 0x0000000000000000

Application Specific Information:
abort() called
terminating with uncaught exception of type std::logic_error: basic_string::_S_construct NULL not valid

Thread 0:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff84925a1a mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff84924dd5 mach_msg + 253
2   com.apple.CoreFoundation      	0x00007fff8637ff15 __CFRunLoopServiceMachPort + 181
3   com.apple.CoreFoundation      	0x00007fff8637f539 __CFRunLoopRun + 1161
4   com.apple.CoreFoundation      	0x00007fff8637ee75 CFRunLoopRunSpecific + 309
5   com.apple.HIToolbox           	0x00007fff89193a0d RunCurrentEventLoopInMode + 226
6   com.apple.HIToolbox           	0x00007fff891937b7 ReceiveNextEventCommon + 479
7   com.apple.HIToolbox           	0x00007fff891935bc _BlockUntilNextEventMatchingListInModeWithFilter + 65
8   com.apple.AppKit              	0x00007fff8b29d24e _DPSNextEvent + 1434
9   com.apple.AppKit              	0x00007fff8b29c89b -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 122
10  com.apple.AppKit              	0x00007fff8b29099c -[NSApplication run] + 553
11  QtGui                         	0x0000000100704fe0 QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 840
.....

User avatar
eranif
CodeLite Plugin
Posts: 5997
Joined: Wed Feb 06, 2008 9:29 pm
Genuine User: Yes
IDE Question: C++
Contact:

Re: codelite 6.0 cannot be built by cmake 3

Post by eranif » Sat Jul 19, 2014 6:47 pm

Hmm, the UI is crashing...
What happens when you run it from the command line?

Eran
Make sure you have read the HOW TO POST thread

buffalo
CodeLite Enthusiast
Posts: 11
Joined: Sat Jul 19, 2014 11:46 am
Genuine User: Yes
IDE Question: c++
Contact:

Re: codelite 6.0 cannot be built by cmake 3

Post by buffalo » Sat Jul 19, 2014 7:49 pm

Cmake-3.0.0-Darwin64-universal.dmg only provides cmake.app bundle, not including command line version, whereas CMake 2.8.12.2 contains cmake.app and command line. I don't know how to remove the cmake 2.8.12.2 command line totally for installing the CMake3 command line.
So I cannot try CMake3 command line right now.

Before I installed CMake 2.8.12.2, I have built and installed CMake3 source code (command line). I just remembered CMake3 showed "segmentation fault" after configuration done, and make also showed "segmentation fault".

User avatar
eranif
CodeLite Plugin
Posts: 5997
Joined: Wed Feb 06, 2008 9:29 pm
Genuine User: Yes
IDE Question: C++
Contact:

Re: codelite 6.0 cannot be built by cmake 3

Post by eranif » Sat Jul 19, 2014 8:07 pm

From the crash report it looks like a CMake GUI only crash (the Qt code hint that)
You should install the command line version - or build it your self and use that to build codelite

Also, make sure you report this to the CMake mailing list, since its not really a codelite issue
Eran
Make sure you have read the HOW TO POST thread

revolle
CodeLite Curious
Posts: 1
Joined: Sat Sep 27, 2014 2:51 pm
Genuine User: Yes
IDE Question: C++
Contact:

Re: codelite 6.0 cannot be built by cmake 3

Post by revolle » Sat Sep 27, 2014 3:05 pm

Any news for this issue ?

I try to use cod elite for a wxwidgets app on Mac.
I've done the commands from http://codelite.org/Developers/BuildingCodeLiteOnAMac
the command "cmake .. -DCMAKE_BUILD_TYPE=Release" fails with
-- Configuring done
Segmentation fault: 11

How can I continue to use cod elite for a wxwidgets app ?

User avatar
eranif
CodeLite Plugin
Posts: 5997
Joined: Wed Feb 06, 2008 9:29 pm
Genuine User: Yes
IDE Question: C++
Contact:

Re: codelite 6.0 cannot be built by cmake 3

Post by eranif » Sat Sep 27, 2014 6:10 pm

revolle wrote:Any news for this issue ?
This issue is a cmake issue and not codelite one... so unless someone reported it to the cmake team, I don't see any progress here
Note that I don't experience any issues with cmake on OSX (try download and use the older version 2.8)
revolle wrote:How can I continue to use cod elite for a wxwidgets app ?
Is there something wrong with codelite 6.1 for OSX? you can download and use it from the website

Eran
Make sure you have read the HOW TO POST thread

Post Reply